<?php
/**
 * Theme Customizer Controls
 *
 * @package Creamy Bakery
 */

if ( ! function_exists( 'creamy_bakery_customizer_general_setting_register' ) ) :
function creamy_bakery_customizer_general_setting_register( $wp_customize ) {
 
 	$wp_customize->add_section(
        'creamy_bakery_general_settings',
        array (
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'General Settings', 'creamy-bakery' )
        )
    );

 	// Add general Panel for preloader and scrolltop
    $wp_customize->add_panel(
        'creamy_bakery_general_settings_panel',
        array(
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'General Settings', 'creamy-bakery' ),
        )
    );

    // Section preloader
    $wp_customize->add_section(
        'creamy_bakery_prelodr_settings',
        array(
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Preloader', 'creamy-bakery' ),
            'panel'         => 'creamy_bakery_general_settings_panel',
        )
    );

    // Title label
	$wp_customize->add_setting( 
		'creamy_bakery_preloader_settings', 
		array(
		    'sanitize_callback' => 'creamy_bakery_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Creamy_Bakery_Title_Info_Control( $wp_customize, 'creamy_bakery_preloader_settings', 
		array(
		    'label'       => esc_html__( 'Preloader Settings', 'creamy-bakery' ),
		    'section'     => 'creamy_bakery_prelodr_settings',
		    'type'        => 'creamy-bakery-title',
		    'settings'    => 'creamy_bakery_preloader_settings',
		) 
	));

	// Add an option to enable the preloader
	$wp_customize->add_setting( 
		'creamy_bakery_enable_preloader', 
		array(
		    'default'           => false,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'creamy_bakery_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Creamy_Bakery_Toggle_Control( $wp_customize, 'creamy_bakery_enable_preloader', 
		array(
		    'label'       => esc_html__( 'Show Preloader', 'creamy-bakery' ),
		    'section'     => 'creamy_bakery_prelodr_settings',
		    'type'        => 'creamy-bakery-toggle',
		    'settings'    => 'creamy_bakery_enable_preloader',
		) 
	));


    // Section Body Typography
    $wp_customize->add_section(
        'creamy_bakery_scrol_settings',
        array(
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Scroll Top', 'creamy-bakery' ),
            'panel'         => 'creamy_bakery_general_settings_panel',
        )
    );


	// Title label
	$wp_customize->add_setting( 
		'creamy_bakery_scroll_top_settings', 
		array(
		    'sanitize_callback' => 'creamy_bakery_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Creamy_Bakery_Title_Info_Control( $wp_customize, 'creamy_bakery_scroll_top_settings', 
		array(
		    'label'       => esc_html__( 'Scroll Top Settings', 'creamy-bakery' ),
		    'section'     => 'creamy_bakery_scrol_settings',
		    'type'        => 'creamy-bakery-title',
		    'settings'    => 'creamy_bakery_scroll_top_settings',
		) 
	));

	// Add an option to enable the scrolltop
	$wp_customize->add_setting( 
		'creamy_bakery_enable_scrolltop', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'creamy_bakery_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Creamy_Bakery_Toggle_Control( $wp_customize, 'creamy_bakery_enable_scrolltop', 
		array(
		    'label'       => esc_html__( 'Show Scroll Top', 'creamy-bakery' ),
		    'section'     => 'creamy_bakery_scrol_settings',
		    'type'        => 'creamy-bakery-toggle',
		    'settings'    => 'creamy_bakery_enable_scrolltop',
		) 
	));

	 $wp_customize->add_section(
        'creamy_bakery_button_settings',
        array(
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Buttons', 'creamy-bakery' ),
            'panel'         => 'creamy_bakery_general_settings_panel',
        )
    );

	 // Border Radius Setting
	$wp_customize->add_setting(
	    'creamy_bakery_button_border_radius',
	    array(
	        'default'           => '5px',
	        'sanitize_callback' => 'sanitize_text_field',
	        'transport'         => 'refresh',
	    )
	);

	$wp_customize->add_control(
	    'creamy_bakery_button_border_radius',
	    array(
	        'type'     => 'text',
	        'label'    => esc_html__( 'Button Border Radius (e.g. 4px, 50%)', 'creamy-bakery' ),
	        'section'  => 'creamy_bakery_button_settings',
	    )
	);

	// Button Padding Setting
	$wp_customize->add_setting(
	    'creamy_bakery_button_padding',
	    array(
	        'default'           => '12px 30px',
	        'sanitize_callback' => 'sanitize_text_field',
	        'transport'         => 'refresh',
	    )
	);

	$wp_customize->add_control(
	    'creamy_bakery_button_padding',
	    array(
	        'type'     => 'text',
	        'label'    => esc_html__( 'Button Padding (e.g. 10px 20px)', 'creamy-bakery' ),
	        'section'  => 'creamy_bakery_button_settings',
	    )
	);


}
endif;

add_action( 'customize_register', 'creamy_bakery_customizer_general_setting_register' );